window.onload = Start;
var complete_html_content = [[complete_html_content]];
var command = "";
var curr_id;
function Start() {
  document.getElementById('edit').contentWindow.document.designMode = "on";
  try {
    document.getElementById('edit').contentWindow.document.execCommand("undo", false, null);
  } catch (e) {
    alert("This editor is not supported on your browser.");
    //return;
  }
  InitToolbarButtons();
  document.getElementById('edit').contentWindow.focus();
}
function doDynContent() {
  var link = '[[dlg_dyncontent]]?[[dlg_dyncontent_query]]';
  var lnkWin = window.open(link,'dlg_dyncontent','height=160,width=350,status=no,menubar=no,toolbar=no,location=no,scrollbars=yes,resizable=yes');
}
function doImage() {
  var link = '[[dlg_image]]?[[dlg_image_query]]'
  var lnkWin = window.open(link,'dlg_image','height=380,width=530,status=no,menubar=no,toolbar=no,location=no,scrollbars=yes,resizable=yes');
}
function doTable() {
  var link = '[[dlg_table]]';
  var lnkWin = window.open(link,'dlg_table','height=400,width=470,status=no,menubar=no,toolbar=no,location=no,scrollbars=yes,resizable=yes');
} 
function getDynContent(name,param,url) {
  if (name) {
    var dyn;
    if (isIE()){
      dyn = '<';
      dyn += 'img alt="' + name + '(' + param + ')" name="' + name + '" ';
      dyn += 'src="' + url + '" ';
      dyn += 'title="' + name + '" ';
      dyn += 'border="3" style="border-style:outset;"';
      dyn += '>';
      var selection = getEditorRange(getEditorSelection());
      selection.pasteHTML(dyn);
    }else{
      dyn = document.getElementById('edit').contentWindow.document.createElement('img');
      dyn.alt = name + '(' + param + ')';
      dyn.name = name;
      dyn.src = url;
      dyn.title = name;
      dyn.border = 3;
      dyn.style.borderStyle = 'outset';
      insertNodeAtSelection(document.getElementById('edit').contentWindow,dyn);
    }
  }
}
function getPropertyCell(table_class,height,width,align,valign,rowspan,colspan,bgcolor,nowrap){
  var cell = getClosest("td") || getClosest("th");
  if (cell){
    if (table_class != ''){
      cell.className = table_class;
    }
    if (height != ''){
      cell.height = height;
    }
    if (width != ''){
      cell.width = width;
    }
    if (align != ''){
      cell.align = align;
    }
    if (valign != ''){
      cell.vAlign = valign;
    }
    if (rowspan != '' || rowspan == 1){
      cell.rowSpan = rowspan;
    }
    if (colspan != '' || colspan == 1){
      cell.colSpan = colspan;
    }
    if (bgcolor != ''){
      cell.bgColor = bgcolor;
    }
    if (nowrap != ''){
      cell.noWrap = nowrap;
    }
  }
}
function getPropertyRow(table_class,align,valign,bgcolor){
  var row = getClosest("tr");
  if (row){
    if (table_class != ''){
      row.className = table_class;
    }
    if (align != ''){
      row.align = align;
    }
    if (valign != ''){
      row.vAlign = valign;
    }
    if (bgcolor != ''){
      row.bgColor = bgcolor;
    }
  }
}
function getPropertyColumn(table_class,width,bgcolor,nowrap){
  var cell,index;
  cell = getClosest("td") || getClosest("th");
  index = cell.cellIndex;
  var rows = cell.parentNode.parentNode.rows;
  for (var i = 0;i < rows.length;i++) {
    var tr = rows[i];
    if (!tr.cells[index]){
      continue;
    }
    if (table_class != ''){  
      tr.cells[index].className = table_class;
    }
    if (width != ''){
      tr.cells[index].width = width;
    }
    if (bgcolor != ''){
      tr.cells[index].bgColor = bgcolor;
    }
    if (nowrap != ''){
      tr.cells[index].noWrap = nowrap;
    }
  }
}
function getPropertyTable(table_class,border,padding,spacing,bwidth,bcolor,bgcolor){
  var table = getClosest("table");
  if (table_class != ''){
    table.setAttribute('className',table_class);
  }
  if (border != ''){
    table.setAttribute('border',border);
  }
  if (padding != ''){
    table.setAttribute('cellPadding',padding);
  }
  if (spacing != ''){
    table.setAttribute('cellSpacing',spacing);
  }
  if (bgcolor != ''){
    table.setAttribute('bgColor',bgcolor);
  }
  if (bcolor != ''){
    table.setAttribute('borderColor',bcolor);
  }
}
function doTableEditor(){
  var cell = getClosest("td") || getClosest("th");
  if (!cell){
    tableCommandAlert();  
  }else{
    var link = '[[dlg_table_editor]]';
    var lnkWin = window.open(link,'dlg_table_editor','height=480,width=560,status=no,menubar=no,toolbar=no,location=no,scrollbars=yes,resizable=no');
  }
}
function getImage(isImage,name,url,align,width,height,imageborderwidth,nonimagecontent) {
  var imageUrl = '';
  var image_alt_tag = 'content(' + name + ')';
  if (isImage > 0 && nonimagecontent < 1){
    image_alt_tag = '[' + '[' + name + ']' + ']';
  }
  if (name){
    var image;
    if (isIE()){
      image = '<img alt="' + image_alt_tag + '"';
      image += ' src="' + url + '"';
      image += ' title="' + name + '"';
      image += ' width="' + width + '" height="' + height + '"';
      if (align != ''){
        image += ' align="' + align + '"';
      }
      if (!isNaN(imageborderwidth)){
      	image += ' border="' + imageborderwidth + '"';
      }
      image += '>';
      var selection = getEditorRange(getEditorSelection());
      selection.pasteHTML(image);
    }else{
      image = document.getElementById('edit').contentWindow.document.createElement('img');
      image.alt = image_alt_tag;
      image.name = name;
      image.src = url;
      image.title = name;
      image.width = width;
      image.height = height;
      if (align != ''){
        image.align = align;
      }
      if (!isNaN(imageborderwidth)){
        image.border = imageborderwidth;
      }
      insertNodeAtSelection(document.getElementById('edit').contentWindow,image);
    }
  }
}
function doLink() {
  var selection;
  var link = '[[dlg_link]]?[[dlg_link_query]]';
  var has_input = 0;
  if (isIE()){
    selection = getEditorRange(getEditorSelection());
    if (selection.htmlText){
    	has_input = 1;
    }
  }else{
    if (getEditorSelection().toString() || getParentElement() == '[object HTMLImageElement]'){
    	has_input = 1;
    }
  }
  if (has_input){
  	link += 'no_input';
  }
  var lnkWin = window.open(link,'dlg_link','height=250,width=550,status=no,menubar=no,toolbar=no,location=no,scrollbars=yes,resizable=yes');
}
function doColor() {
  var color = '[[HTMLpath]]/_ExSite/colors.html';
  var colorWin = window.open(color,'dlg_color','height=150,width=200,status=no,menubar=no,toolbar=no,location=no,scrollbars=no,resizable=no');
}
